/*
 * Copyright 2010 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package elemental.js.util;

/**
 * A simple object for testing collections.
 */
public class TestItem implements Comparable<TestItem> {
  private final int id;

  public TestItem(int id) {
    this.id = id;
  }

  @Override
  public int compareTo(TestItem other) {
    return (id < other.id) ? -1 : (id == other.id ? 0 : 1);
  }

  public int id() {
    return id;
  }

  @Override
  public String toString() {
    return "item" + id;
  }
}
